#Module-Specific definitions
%define mod_name mod_authn_bugzilla
%define mod_conf B27_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	A Bugzilla authentication module for Apache
Name:		apache-%{mod_name}
Version:	0
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License
URL:		https://bugzilla.mozilla.org/show_bug.cgi?id=392482
# https://bugzilla.mozilla.org/attachment.cgi?id=276991
Source0:	mod_authn_bugzilla.c
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	apache-mod_dbd >= 2.2.0
Requires:	apr-util-dbd-mysql
BuildRequires:  apache-devel >= 2.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An Apache authentication module, which allows the user to authenticate itself
via basic authentication. The user is able to use either its email address or
its extern_id as a user name and the bugzilla password.

%prep

%setup -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}



%changelog
* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0-2mdv2008.1
+ Revision: 181669
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.1
+ Revision: 116251
- import apache-mod_authn_bugzilla


* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.0
- initial Mandriva package
